loci.plugins.in

## Class Colorizer

- java.lang.Object
- - loci.plugins.in.Colorizer

-     public class Colorizer
      extends java.lang.Object

  Logic for colorizing images.
  Author:
    Melissa Linkert melissa at glencoesoftware.com, Curtis Rueden ctrueden at wisc.edu

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static int` | `BLUE_MIN`
    `private static int` | `BLUE_TO_GREEN_MIN`
    `private static int` | `GREEN_TO_RED_MIN`
    `private ImportProcess` | `process`
    `private static int` | `RED_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Colorizer(ImportProcess process)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ij.ImagePlus>` | `applyColors(java.util.List<ij.ImagePlus> imps)`
    `private void` | `applyDisplayRanges(ij.ImagePlus imp, int series)`
    `private static double` | `getZeroOffset(ij.ImagePlus imp)`
    `private ij.process.LUT` | `makeLUT(java.awt.Color color)`
    `private ij.process.LUT` | `makeLUT(int series, int channel)`
    `private ij.process.LUT[]` | `makeLUTs(java.awt.image.ColorModel[] cm, boolean colorize)`
    `private ij.process.LUT[]` | `makeLUTs(int series)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLUE_MIN

          private static final int BLUE_MIN

      See Also:
        Constant Field Values

    - #### BLUE_TO_GREEN_MIN

          private static final int BLUE_TO_GREEN_MIN

      See Also:
        Constant Field Values

    - #### GREEN_TO_RED_MIN

          private static final int GREEN_TO_RED_MIN

      See Also:
        Constant Field Values

    - #### RED_MAX

          private static final int RED_MAX

      See Also:
        Constant Field Values

    - #### process

          private ImportProcess process

  - ### Constructor Detail

    - #### Colorizer

          public Colorizer(ImportProcess process)

  - ### Method Detail

    - #### applyColors

          public java.util.List<ij.ImagePlus> applyColors(java.util.List<ij.ImagePlus> imps)

    - #### applyDisplayRanges

          private void applyDisplayRanges(ij.ImagePlus imp,
                                          int series)

    - #### makeLUTs

          private ij.process.LUT[] makeLUTs(java.awt.image.ColorModel[] cm,
                                            boolean colorize)

    - #### makeLUTs

          private ij.process.LUT[] makeLUTs(int series)

    - #### makeLUT

          private ij.process.LUT makeLUT(int series,
                                         int channel)

    - #### makeLUT

          private ij.process.LUT makeLUT(java.awt.Color color)

    - #### getZeroOffset

          private static double getZeroOffset(ij.ImagePlus imp)

Copyright © 2026 Open Microscopy Environment